import java.security.*;

/**
   Wyszukuje włąściwość systemową..
*/
public class SysPropAction implements PrivilegedAction
{
   /**
      Konstruktor.
      @param propertyName nazwa właściwości (na przykład "user.home")
   */
   public SysPropAction(String propertyName) { this.propertyName = propertyName; }

   public Object run()
   {
      return System.getProperty(propertyName);
   }

   private String propertyName;
}

